## org.apache.fop.svg
Class SVGPoints.Maker

    java.lang.Object
      |
      +--org.apache.fop.fo.Property.Maker
            |
            +--org.apache.fop.svg.SVGPoints.Maker

Enclosing class:
  SVGPoints

public static class SVGPoints.Maker
extends Property.Maker

inner class for making SVG Length objects.

Constructor Summary
`SVGPoints.Maker()`

Method Summary
`boolean` `isInherited()` whether this property is inherited or not.
`Property` `make(PropertyList propertyList)` make an SVG Length property with the default value.
`Property` `make(PropertyList propertyList, java.lang.String value, FObj fo)` make an SVG Length property with the given value.

Methods inherited from class org.apache.fop.fo.Property.Maker
`checkEnumValues, checkValueKeywords, compute, convertProperty, convertPropertyDatatype, getPercentBase, getPropName, getSubpropMaker, getSubpropValue, inheritsSpecified, isCompoundMaker, isCorrespondingForced, make, makeCompound, setSubprop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGPoints.Maker

    public SVGPoints.Maker()

Method Detail

### isInherited

    public boolean isInherited()

  whether this property is inherited or not.
  Overrides:
    isInherited in class Property.Maker
  Returns:
    is this inherited?

### make

    public Property make(PropertyList propertyList,
                         java.lang.String value,
                         FObj fo)
                  throws FOPException

  make an SVG Length property with the given value.
  Overrides:
    make in class Property.Maker
  Parameters:
    `propertyList` - the property list this is a member of
    `value` - the explicit string value of the property

### make

    public Property make(PropertyList propertyList)
                  throws FOPException

  make an SVG Length property with the default value.
  Overrides:
    make in class Property.Maker
  Parameters:
    `propertyList` - the property list the property is a member of

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.